summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorramon <ramongomez@us.es>2010-03-16 12:13:40 +0000
committerramon <ramongomez@us.es>2010-03-16 12:13:40 +0000
commit311532f10871136683fd5d9fa3f60c078d7238ea (patch)
tree00e8ee84345f655cf2dfdbe9094438da0222281e
parente09311f7cf28fdbe7b5ae76139c15b1566c65a2b (diff)
Creada clase de funciones Cache.
git-svn-id: https://opengnsys.es/svn/trunk@811 a21b9725-9963-47de-94b9-378ad31fedc9
-rwxr-xr-xclient/engine/Cache.lib276
-rwxr-xr-xclient/engine/Disk.lib147
-rwxr-xr-xclient/engine/FileSystem.lib118
-rw-r--r--client/nfsexport/etc/lang.es_ES.conf4
4 files changed, 283 insertions, 262 deletions
diff --git a/client/engine/Cache.lib b/client/engine/Cache.lib
new file mode 100755
index 00000000..142c53dd
--- /dev/null
+++ b/client/engine/Cache.lib
@@ -0,0 +1,276 @@
+#!/bin/bash
+#/**
+#@file Cache.lib
+#@brief Librería o clase Cache
+#@class Cache
+#@brief Funciones para gestión de la caché local de disco.
+#@version 0.91
+#@warning License: GNU GPLv3+
+#*/
+
+
+#/**
+# ogCreateCache int_partsize
+#@brief Define la caché local en la partición 4 del disco 1
+#@param int_partsize tamaño de la partición (en KB)
+#@return (nada, por determinar)
+#@exception OG_ERR_FORMAT formato incorrecto.
+#@note Requisitos: sfdisk, parted, awk, sed
+#@version 0.91 - Definición de caché local.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/09
+#*/ ##
+function ogCreateCache ()
+{
+# Variables locales.
+local DISK PART SECTORS CYLS START END SIZE ENDPART3
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME int_partsize" "$FUNCNAME 10000000"
+ return
+fi
+# Error si no se recibe 1 parámetro.
+[ $# == 1 ] || ogRaiseError $OG_ERR_FORMAT || return $?
+
+DISK=$(ogDiskToDev 1) || return $?
+PART="4"
+SECTORS=$(awk -v D=${DISK#/dev/} '{if ($4==D) {print $3*2}}' /proc/partitions)
+CYLS=$(sfdisk -g $DISK | cut -f2 -d" ")
+END=$[SECTORS/CYLS*CYLS-1]
+SIZE=$(echo $1|awk '{print $0*2}') # En sectores de 512 B.
+START=$[END-SIZE+1]
+ENDPART3=$(sfdisk -uS -l $DISK | awk -v P="${DISK}3" '{if ($1==P) print $3}')
+# Error si tamaño 0 o si mayor que la mitad del disco o si pisa la partición 3.
+if [ $SIZE -eq 0 -o $SIZE -ge $[END/2] -o $START -le $ENDPART3 ]; then
+ ogRaiseError $OG_ERR_FORMAT "$1" || return $?
+fi
+
+# Desmontar todos los sistemas de archivos del disco.
+ogUnmountAll 1 2>/dev/null
+# Si la tabla de particiones no es valida, volver a generarla.
+[ $(parted -s $DISK print >/dev/null) ] || fdisk $DISK <<< "w"
+# Definir particiones y notificar al kernel.
+sfdisk -f $DISK -uS -N$PART <<<"$START,$SIZE,ca" 2>/dev/null && partprobe
+}
+
+
+#/**
+# ogDeleteCache
+#@brief Elimina la partición de caché local.
+#@return (nada, por determinar)
+#@exception OG_ERR_FORMAT formato incorrecto.
+#@note Requisitos: sfdisk, parted, awk, sed
+#@version 0.91 - Definición de caché local.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/11
+#*/ ##
+function ogDeleteCache ()
+{
+# Variables locales.
+local NDISK NPART DISK
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME"
+ return
+fi
+# Error si no se encuentra partición de caché.
+read NDISK NPART <<<"$(ogFindCache)"
+[ -n "$NDISK" -a -n "$NPART" ] || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+DISK=$(ogDiskToDev $NDISK)
+
+# Desmontar todos los sistemas de archivos del disco.
+ogUnmountAll $NDISK 2>/dev/null
+# Si la tabla de particiones no es valida, volver a generarla.
+[ $(parted -s $DISK print >/dev/null) ] || fdisk $DISK <<< "w"
+# Eliminar (poner a 0) la partición de caché.
+sfdisk -f $DISK -N$NPART <<<"0,0,0" 2>/dev/null && partprobe
+# Borrar etiqueta de la caché.
+rm -f /dev/disk/by-label/CACHE
+}
+
+
+#/**
+# ogFindCache
+#@brief Detecta la partición caché local.
+#@param No requiere parametros
+#@return int_ndisk int_npart - devuelve el par nº de disco-nº de partición .
+#@warning Si no hay cache no devuelve nada
+#@version 0.1 - Versión adaptada del Proyecto EAC.
+#@author Antonio J. Doblas Viso. Universidad de Malaga
+#@Date 27/10/2008
+#@version 0.91 - Adaptación a la caché local de OpenGnSys.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/16
+#*/ ##
+function ogFindCache ()
+{
+# Variables locales
+local PART
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME" "$FUNCNAME => 1 4"
+ return
+fi
+# Obtener el sistema de archivos etiquetado con "CACHE".
+PART=$(realpath /dev/disk/by-label/CACHE 2>/dev/null)
+# Si no, obtener la 1ª partición marcada como de tipo caché.
+PART=${PART:-$(sfdisk -l | awk '$6~/ca|a7/ {print $1}')}
+PART=${PART%% *}
+
+ogDevToDisk $PART 2>/dev/null
+}
+
+
+#/**
+# ogFormatCache
+#@brief Formatea el sistema de ficheros para la caché local.
+#@return (por determinar)
+#@warning Prueba con formato Reiser.
+#@attention
+#@note El sistema de archivos de la caché se queda montado.
+#@version 0.1 - Versión adaptada del Proyecto EAC.
+#@author Antonio J. Doblas Viso. Universidad de Malaga
+#@date 27/10/2008
+#@version 0.91 - Creación caché local.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010-03-11
+#*/ ##
+function ogFormatCache ()
+{
+# Variables locales.
+local DEV MNTDIR
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME"
+ return
+fi
+
+# Error si no hay definida partición de caché.
+DEV=$(ogFindCache) || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+DEV=$(ogDiskToDev $DEV) || return $?
+
+# Formatear sistema de ficheros.
+ogUnmountCache 2>/dev/null
+ # Orden para formateo Reiser 3
+mkfs.reiserfs -f $DEV -l "CACHE" 2>/dev/null || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+ # Orden para formateo XFS
+ #mkfs.xfs $DEV -L "CACHE" || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+# Crear estructura básica
+MNTDIR=$(ogMountCache)
+mkdir -p $MNTDIR/$OGIMG
+}
+
+
+#/**
+# ogGetCacheSize
+#@brief Devuelve el tamaño definido para la partición de caché.
+#@return int_partsize tamaño de la partición (en KB)
+#@exception OG_ERR_PARTITION No existe partición de caché.
+#@version 0.91 - Definición de caché local.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/09
+#*/ ##
+function ogGetCacheSize ()
+{
+# Variables locales
+local PART
+
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME" "$FUNCNAME => 10000000"
+ return
+fi
+# Error si no se encuentra partición de caché.
+PART=$(ogFindCache) || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+
+# Devuelve tamaño de la partición de caché.
+ogGetPartitionSize $PART
+}
+
+
+#/**
+# ogGetCacheSpace
+#@brief Devuelve el espacio de disco disponible para la partición de caché.
+#@return int_size tamaño disponible (en KB)
+#@note El espacio disponible es el que hay entre el límite superior de la partición 3 del disco 1 y el final de dicho disco, y no puede ser superior a la mitad de dicho disco.
+#@version 0.91 - Definición de caché local.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/09
+#*/ ##
+function ogGetCacheSpace ()
+{
+
+# Variables locales.
+local DISK SECTORS CYLS ENDPART3
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME" "$FUNCNAME => 23165386"
+ return
+fi
+
+DISK=$(ogDiskToDev 1) || return $?
+SECTORS=$(awk -v D=${DISK#/dev/} '{if ($4==D) {print $3*2}}' /proc/partitions)
+CYLS=$(sfdisk -g $DISK | cut -f2 -d" ")
+SECTORS=$[SECTORS/CYLS*CYLS-1]
+ENDPART3=$(sfdisk -uS -l $DISK | awk -v P="${DISK}3" '{if ($1==P) print $3}')
+# Mostrar espacio libre en KB (1 KB = 2 sectores)
+if [ $ENDPART3 -gt $[SECTORS/2] ]; then
+ echo $[(SECTORS-ENDPART3)/2]
+else
+ echo $[SECTORS/4]
+fi
+}
+
+
+#/**
+# ogMountCache
+#@brief Monta la partición Cache y exporta la variable $OGCAC
+#@param sin parametros
+#@return path_mountpoint - Punto de montaje del sistema de archivos de cache.
+#@warning Salidas de errores no determinada
+#@version 0.1 - Versión adaptada del Proyecto EAC.
+#@author Antonio J. Doblas Viso. Universidad de Malaga
+#@Date 27/10/2008
+#@version 0.91 - Adaptación a la caché local de OpenGnSys.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/16
+#*/ ##
+function ogMountCache ()
+{
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME" "$FUNCNAME ==> /mnt/sda4"
+ return
+fi
+
+OGCAC=$(ogMountFs $(ogFindCache) 2>/dev/null) || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
+echo $OGCAC
+export OGCAC
+}
+
+
+#/**
+# ogUnmountCache
+#@brief Desmonta la particion Cache y elimina la variable $OGCAC
+#@param sin parametros
+#@return nada
+#@warning Salidas de errores no determinada
+#@version 0.1 - Versión adaptada del Proyecto EAC.
+#@author Antonio J. Doblas Viso. Universidad de Malaga
+#@Date 27/10/2008
+#@version 0.91 - Adaptación a la caché local de OpenGnSys.
+#@author Ramon Gomez, ETSII Universidad de Sevilla
+#@date 2010/03/16
+#*/ ##
+function ogUnmountCache ()
+{
+# Si se solicita, mostrar ayuda.
+if [ "$*" == "help" ]; then
+ ogHelp "$FUNCNAME" "$FUNCNAME"
+ return
+fi
+
+unset OGCAC
+ogUnmountFs $(ogFindCache) 2>/dev/null || ogRaiseError $OG_ERR_PARTITION "CACHE"
+}
+
diff --git a/client/engine/Disk.lib b/client/engine/Disk.lib
index 3dab97ab..6850fc5b 100755
--- a/client/engine/Disk.lib
+++ b/client/engine/Disk.lib
@@ -10,51 +10,6 @@
#/**
-# ogCreateCache int_partsize
-#@brief Define la caché local en la partición 4 del disco 1
-#@param int_partsize tamaño de la partición (en KB)
-#@return (nada, por determinar)
-#@exception OG_ERR_FORMAT formato incorrecto.
-#@note Requisitos: sfdisk, parted, awk, sed
-#@version 0.91 - Definición de caché local.
-#@author Ramon Gomez, ETSII Universidad de Sevilla
-#@date 2010/03/09
-#*/ ##
-function ogCreateCache ()
-{
-# Variables locales.
-local DISK PART SECTORS CYLS START END SIZE ENDPART3
-# Si se solicita, mostrar ayuda.
-if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME 10000000"
- return
-fi
-# Error si no se recibe 1 parámetro.
-[ $# == 1 ] || ogRaiseError $OG_ERR_FORMAT || return $?
-
-DISK=$(ogDiskToDev 1) || return $?
-PART="4"
-SECTORS=$(awk -v D=${DISK#/dev/} '{if ($4==D) {print $3*2}}' /proc/partitions)
-CYLS=$(sfdisk -g $DISK | cut -f2 -d" ")
-END=$[SECTORS/CYLS*CYLS-1]
-SIZE=$(echo $1|awk '{print $0*2}') # En sectores de 512 B.
-START=$[END-SIZE+1]
-ENDPART3=$(sfdisk -uS -l $DISK | awk -v P="${DISK}3" '{if ($1==P) print $3}')
-# Error si tamaño 0 o si mayor que la mitad del disco o si pisa la partición 3.
-if [ $SIZE -eq 0 -o $SIZE -ge $[END/2] -o $START -le $ENDPART3 ]; then
- ogRaiseError $OG_ERR_FORMAT "$1" || return $?
-fi
-
-# Desmontar todos los sistemas de archivos del disco.
-ogUnmountAll 1 2>/dev/null
-# Si la tabla de particiones no es valida, volver a generarla.
-[ $(parted -s $DISK print >/dev/null) ] || fdisk $DISK <<< "w"
-# Definir particiones y notificar al kernel.
-sfdisk -f $DISK -uS -N$PART <<<"$START,$SIZE,ca" 2>/dev/null && sfdisk -R $DISK
-}
-
-
-#/**
# ogCreatePartitions int_ndisk str_parttype:int_partsize ...
#@brief Define el conjunto de particiones de un disco.
#@param int_ndisk nº de orden del disco
@@ -165,45 +120,12 @@ fi
# Si la tabla de particiones no es valida, volver a generarla.
[ $(parted -s $DISK print >/dev/null) ] || fdisk $DISK <<< "w"
# Definir particiones y notificar al kernel.
-sfdisk -f $DISK < $tmpsfdisk 2>/dev/null && sfdisk -R $DISK
+sfdisk -f $DISK < $tmpsfdisk 2>/dev/null && partprobe
rm -f $tmpsfdisk
}
#/**
-# ogDeleteCache
-#@brief Elimina la partición de caché local.
-#@return (nada, por determinar)
-#@exception OG_ERR_FORMAT formato incorrecto.
-#@note Requisitos: sfdisk, parted, awk, sed
-#@version 0.91 - Definición de caché local.
-#@author Ramon Gomez, ETSII Universidad de Sevilla
-#@date 2010/03/11
-#*/ ##
-function ogDeleteCache ()
-{
-# Variables locales.
-local DISK PART
-# Si se solicita, mostrar ayuda.
-if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME"
- return
-fi
-# Error si no se encuentra partición de caché.
-read DISK PART <<<"$(ogDevToDisk $(ogFindCache) 2>/dev/null)"
-[ -n "$DISK" -a -n "$PART" ] || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $OG_ERR_PARTITION
-DISK=$(ogDiskToDev $DISK)
-
-# Desmontar todos los sistemas de archivos del disco.
-ogUnmountAll 1 2>/dev/null
-# Si la tabla de particiones no es valida, volver a generarla.
-[ $(parted -s $DISK print >/dev/null) ] || fdisk $DISK <<< "w"
-# Eliminar (poner a 0) la partición de caché.
-sfdisk -f $DISK -N$PART <<<"0,0,0" 2>/dev/null && sfdisk -R $DISK
-}
-
-
-#/**
# ogDevToDisk path_device
#@brief Devuelve el nº de orden de dicso (y partición) correspondiente al nombre de fichero de dispositivo.
#@param path_device Camino del fichero de dispositivo.
@@ -363,67 +285,6 @@ echo $ID
}
-#/**
-# ogGetCacheSize
-#@brief Devuelve el tamaño definido para la partición de caché.
-#@return int_partsize tamaño de la partición (en KB)
-#@exception OG_ERR_PARTITION No existe partición de caché.
-#@version 0.91 - Definición de caché local.
-#@author Ramon Gomez, ETSII Universidad de Sevilla
-#@date 2010/03/09
-#*/ ##
-function ogGetCacheSize ()
-{
-# Variables locales
-local PART
-
-# Si se solicita, mostrar ayuda.
-if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME => 10000000"
- return
-fi
-# Error si no se encuentra partición de caché.
-PART=$(ogDevToDisk $(ogFindCache) 2>/dev/null) || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $OG_ERR_PARTITION
-
-# Devuelve tamaño de la partición de caché.
-ogGetPartitionSize $PART
-}
-
-
-#/**
-# ogGetCacheSpace
-#@brief Devuelve el espacio de disco disponible para la partición de caché.
-#@return int_size tamaño disponible (en KB)
-#@note El espacio disponible es el que hay entre el límite superior de la partición 3 del disco 1 y el final de dicho disco, y no puede ser superior a la mitad de dicho disco.
-#@version 0.91 - Definición de caché local.
-#@author Ramon Gomez, ETSII Universidad de Sevilla
-#@date 2010/03/09
-#*/ ##
-function ogGetCacheSpace ()
-{
-
-# Variables locales.
-local DISK SECTORS CYLS ENDPART3
-# Si se solicita, mostrar ayuda.
-if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME => 23165386"
- return
-fi
-
-DISK=$(ogDiskToDev 1) || return $?
-SECTORS=$(awk -v D=${DISK#/dev/} '{if ($4==D) {print $3*2}}' /proc/partitions)
-CYLS=$(sfdisk -g $DISK | cut -f2 -d" ")
-SECTORS=$[SECTORS/CYLS*CYLS-1]
-ENDPART3=$(sfdisk -uS -l $DISK | awk -v P="${DISK}3" '{if ($1==P) print $3}')
-# Mostrar espacio libre en KB (1 KB = 2 sectores)
-if [ $ENDPART3 -gt $[SECTORS/2] ]; then
- echo $[(SECTORS-ENDPART3)/2]
-else
- echo $[SECTORS/4]
-fi
-}
-
-
# ogGetPartitionActive int_ndisk
#@brief Muestra que particion de un disco esta marcada como de activa.
#@param int_ndisk nº de orden del disco
@@ -662,7 +523,7 @@ local DISK PART SIZE
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition" \
+ ogHelp "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition int_size" \
"$FUNCNAME 1 1 10000000"
return
fi
@@ -791,8 +652,8 @@ local DISK PART ID
# Si se solicita, mostrar ayuda.
if [ "$*" == "help" ]; then
- ogHelp "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition" \
- "$FUNCNAME 1 1 10000000"
+ ogHelp "$FUNCNAME" "$FUNCNAME int_ndisk int_npartition str_type" \
+ "$FUNCNAME 1 1 NTFS"
return
fi
# Error si no se reciben 3 parámetros.
diff --git a/client/engine/FileSystem.lib b/client/engine/FileSystem.lib
index 86cc0bd5..ab941d4a 100755
--- a/client/engine/FileSystem.lib
+++ b/client/engine/FileSystem.lib
@@ -756,124 +756,6 @@ done
}
-function ogFindCache () {
-#/** @function ogFindCache: @brief Detecta la particion CACHE EAC seg�n tipo a7 o label CACHE sobre particion ext3.
-#@param no requiere parametros
-#@return devuelve el identificador linux de la particion CACHE.
-#@warning si no hay cache no devuelve nada
-#@attention Requisitos: la salida de fdisk de la cache a7 debe ser NeXTSTEP
-#@note Notas sin especificar
-#@version 0.1 Date: 27/10/2008 Author Antonio J. Doblas Viso. Universidad de Malaga
-#*/
-#
-if [ $# != 0 ]
-then
- Msg "FindCache detecta la particion tipo a7 o aquella que tenga el label CACHE" info
- Msg "devuelve /dev/sda3" info2
- Msg "sintaxis: FindCache --- Ejemplo: FindCache -> /dev/sda3/ " example
- return
-fi
-end=`ogDiskToDev | wc -w`
-unset cache
-for (( disk = 1; disk <= $end; disk++))
-do
- disco=`ogDiskToDev $disk`
- totalpart=`parted $disco print | egrep ^" [0123456789] " -c`
- #echo Buscando en disco: $disco con $totalpart particiones
- if [ `fdisk -l $disco | egrep ^/dev | grep NeXTSTEP | cut -f1 -d" "` ]
- then
- # echo comprobando si es particion a7
- cache=`fdisk -l $disco | egrep ^/dev | grep NeXTSTEP | cut -f1 -d" "`
- elif [ `fdisk -l $disco | egrep ^/dev | grep ca | cut -f1 -d" "` ]
- then
- # echo comprobando si es particion ca
- cache=`fdisk -l $disco | egrep ^/dev | grep ca | cut -f1 -d" "`
- else
- #echo comprobando si existe la etiqueta cache
- if find /dev/disk | grep CACHE > /dev/null
- then
- devcache=`ls -ls /dev/disk/by-label/CACHE | awk -F..\/..\/ '{print $2}'`
- cache=/dev/$devcache
- fi
- fi
-done
-if [ -n "$cache" ]
-then
- echo $cache
-else
- return 1
-fi
-}
-
-function ogMountCache () {
-#/** @function ogMountCache: @brief Monta la particion Cache y exporta la variable $OGCAC
-#@param sin parametros
-#@return Punto de montaje dentro de mnt, ejemplo con un parametro: ogMountCache => /mnt/sda3
-#@warning Salidas de errores no determinada
-#@warning
-#@attention
-#@version 0.1 Date: 27/10/2008 Author Antonio J. Doblas Viso. Universidad de Malaga. Proyecto EAC
-#@note
-#*/
-CACHELINUX=`ogFindCache`
-CACHEOG=`ogDevToDisk $CACHELINUX`
-OGCAC=`ogMount $CACHEOG`
-echo $OGCAC
-export OGCAC
-}
-
-function ogUnmountCache () {
-#/** @function UmountCache: @brief Desmonta la particion Cache y elimina la variable $OGCAC
-#@param sin parametros
-#@return nada
-#@warning Salidas de errores no determinada
-#@warning
-#@attention
-#@version 1.0 Date: 27/10/2008 Author Antonio J. Doblas Viso. Universidad de Malaga. Proyecto EAC
-#@note
-#*/
-CACHELINUX=`ogFindCache`
-CACHEOG=`ogDevToDisk $CACHELINUX`
-#echo ogUnmountPartition $cacheeac
-ogUnmountFs $CACHEOG
-unset OGCAC
-}
-
-
-#/**
-# ogFormatCache
-#@brief Formatea el sistema de ficheros para la caché local.
-#@return (por determinar)
-#@warning Prueba con formato Reiser.
-#@attention
-#@note El sistema de archivos de la caché se queda montado.
-#@version 0.1 - Definición inicial para el Proyecto EAC
-#@author Antonio J. Doblas Viso. Universidad de Malaga
-#@date 27/10/2008
-#@version 0.91 - Creación caché local.
-#@author Ramon Gomez, ETSII Universidad de Sevilla
-#@date 2010-03-11
-#*/ ##
-function ogFormatCache ()
-{
-# Variables locales.
-local DEV MNTDIR
-
-# Error si no hay definida partición de caché.
-DEV=`ogFindCache`
-[ -n "$DEV" ] || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
-
-# Formatear sistema de ficheros.
-ogUnmountCache 2>/dev/null
- # Orden para formateo Reiser 3
-mkfs.reiserfs -f $DEV -l "CACHE" 2>/dev/null || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
- # Orden para formateo XFS
- #mkfs.xfs $DEV -L "CACHE" || ogRaiseError $OG_ERR_PARTITION "CACHE" || return $?
-# Crear estructura básica
-MNTDIR=$(ogMountCache)
-mkdir -p $MNTDIR/$OGIMG
-}
-
function ogGetFsSize () {
#/** @function ogGetFsSize: @brief Muestra el tamanio del sistema de archivos indicado, permite definir la unidad de medida, por defecto GB
#@param $1 int_diskEAC
diff --git a/client/nfsexport/etc/lang.es_ES.conf b/client/nfsexport/etc/lang.es_ES.conf
index 29d86e7f..14399fc1 100644
--- a/client/nfsexport/etc/lang.es_ES.conf
+++ b/client/nfsexport/etc/lang.es_ES.conf
@@ -51,6 +51,7 @@ MSG_HELP_ogDevToDisk="Devuelve el nº de orden de dicso o de partición correspo
MSG_HELP_ogDiskToDev="Devuelve el camino del fichero de dispositivo correspondiente al nº de orden de dicso o de partición."
MSG_HELP_ogEcho=""
MSG_HELP_ogExtendFs="Extiende el tamaño de un sistema de archivo al máximo de su partición."
+MSG_HELP_ogFindCache="Indica la partición reservada para caché local."
MSG_HELP_ogFormat="Formatea o reformatea un sistema de archivos."
MSG_HELP_ogFormatCache="Formatea (inicia) el sistema de caché local."
MSG_HELP_ogFormatFs=$MSG_HELP_ogFormat
@@ -86,7 +87,7 @@ MSG_HELP_ogLock="Bloquea una partición para una operación de uso exclusivo."
MSG_HELP_ogLockPartition=$MSG_HELP_ogLock
MSG_HELP_ogMakeDir=""
MSG_HELP_ogMount="Monta un sistema de archivos y devuelve el punto de montaje."
-MSG_HELP_ogMountCache=""
+MSG_HELP_ogMountCache="Monta el sistema de archivos dedicado a caché local."
MSG_HELP_ogMountCdrom=""
MSG_HELP_ogMountFs=$MSG_HELP_ogMount
MSG_HELP_ogRaiseError="Muestra y registra mensajes de error y devuelve el código correspondiente."
@@ -103,6 +104,7 @@ MSG_HELP_ogUnhidePartition="Hace visible una partición de Windows."
MSG_HELP_ogUnlock="Desbloquea una partición tras finalizar una operación de uso exclusivo."
MSG_HELP_ogUnlockPartition=$MSG_HELP_ogUnlock
MSG_HELP_ogUnmount="Desmonta un sistema de archivos."
+MSG_HELP_ogUnmountCache="Desmonta el sistema de archivos de caché local."
MSG_HELP_ogUnmountFs=$MSG_HELP_ogUnmount
MSG_HELP_ogUnmountAll="Desmonta todos los sistemas de archivos."